# DataExchange
TKSTEPBase
StepShape

# StepShape_EdgeBasedWireframeModel Class Reference

Representation of STEP entity EdgeBasedWireframeModel
.

`#include <StepShape_EdgeBasedWireframeModel.hxx>`

Inheritance diagram for StepShape_EdgeBasedWireframeModel:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_EdgeBasedWireframeModel ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_HArray1OfConnectedEdgeSet)&aEbwmBoundary)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_HArray1OfConnectedEdgeSet | EbwmBoundary () const
| Returns field EbwmBoundary .
Standard_EXPORT void | SetEbwmBoundary (const Handle(StepShape_HArray1OfConnectedEdgeSet)&EbwmBoundary)
| Set field EbwmBoundary .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfConnectedEdgeSet | theEbwmBoundary

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_EdgeBasedWireframeModel::StepShape_EdgeBasedWireframeModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_HArray1OfConnectedEdgeSet StepShape_EdgeBasedWireframeModel::EbwmBoundary | ( |  | ) | const

Standard_EXPORT const StepShape_EdgeBasedWireframeModel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

Standard_EXPORT void StepShape_EdgeBasedWireframeModel::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_HArray1OfConnectedEdgeSet)& | aEbwmBoundary
| ) |

Standard_EXPORT void StepShape_EdgeBasedWireframeModel::SetEbwmBoundary | ( | const Handle(StepShape_HArray1OfConnectedEdgeSet)& | EbwmBoundary | ) |

## Field Documentation

Handle_StepShape_HArray1OfConnectedEdgeSet StepShape_EdgeBasedWireframeModel::theEbwmBoundary `[private]`

The documentation for this class was generated from the following file:

- StepShape_EdgeBasedWireframeModel.hxx